#ifndef __FDLIST_H__
#define __FDLIST_H__

#include "structs.h"
#include "config.h"

#include <string.h>
#include <sys/event.h>

typedef struct pollfd		FDLIST_POLLFD;

#define FDLIST_FLAGS_READ	0x001
#define FDLIST_FLAGS_WRITE	0x002

struct kevent *fdlist_kqueue_increase(struct kevent *, int);
int fdlist_add_event(IRCD_CONN *, int);
int fdlist_del_event(IRCD_CONN *, int);

#endif
